{% load static %}
{% load i18n %}
{% load sitetree %}
{% load sass_tags %}
{% load capture_tags %}

{% capture as head_title silent %}{% block head_title_base %}{% if SITE_NAME %}{{ SITE_NAME }} | {% endif %}{% block head_title %}{% endblock %}{% endblock %}{% endcapture %}

<!DOCTYPE html>

<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="description" content="">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <title>{{ head_title }}</title>

  <meta property="og:type" content="website" />

  <!-- Cards -->
  <meta property="og:title" content="{{ head_title }}">
  <meta property="og:description" content="Everything Open 2023 - March 14-16 2023, Melbourne, Australia" />
  <meta property="og:url" content="{{ request.scheme }}://{{ request.get_host }}{{ request.path }}">
  <meta name="twitter:site" content="@_everythingopen">
  <meta name="twitter:image:alt" content="{{ head_title }}" />
  <meta name="twitter:card" content="summary">
  <meta name="twitter:image" content="{{ request.scheme }}://{{ request.get_host }}/media/img/card/eo-badge.ba30d338.png" />
  <meta property="og:image" content="{{ request.scheme }}://{{ request.get_host }}/media/img/card/eo-badge.ba30d338.png" />
  <meta property="og:image:width" content="400" />
  <meta property="og:image:height" content="400" />

  {% block styles %}
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
  <link href="{% sass_src 'scss/app.scss' %}" rel="stylesheet" type="text/css" />
  {% block extra_style %}{% endblock %}
  {% endblock %}

  {% block extra_head_base %}
  {% block extra_head %}{% endblock %}
  {% endblock %}

  <script type="text/javascript">
    var CONF_TZ = "{{ settings.TIME_ZONE }}";
  </script>
</head>
<body class="{% block body_class %}{% endblock %}">
  {% block template_overrides %}{% endblock %}
  <header class="clearfix d-print-none">
    {% block alert %}{% endblock %}
    {% block navbar %}{% include 'nav.html' %}{% endblock %}
  </header>

  {% if messages %}
  <div class="container my-5 alert alert-primary d-print-none">
    <ul class="messagelist list-unstyled">
      {% for message in messages %}
      <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
      {% endfor %}
    </ul>
  </div>
  {% endif %}

  <main role="main" class="{% block main_class %}container{% endblock %}">
    <div class="row">
      <div class="col page-header">
        <h1 class="page-title">{% block page_title %}{% endblock %}</h1>
        <p class="lead">{% block page_lead %}{% endblock %}</p>
      </div>
    </div>

    {% block body_base %}
    {% block body_out %}
    <div class="row">
      <div class="col-md-12">
        {% block body_outer %}
        {% endblock %}
      </div>
    </div>
    {% block content %}
    {% endblock %}
    {% endblock %}
    {% endblock %}

    {% block footer_base %}
    {% block footer %}
    {% endblock %}
    {% endblock %}

    {% block scripts %}
    <script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
    <script src="{% static 'js/app.js' %}" type="text/javascript"></script>
    <script src="{% static 'js/jquery.formset.js' %}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="{% static 'bootstrap/js/bootstrap.bundle.min.js' %}"></script>
    {% if settings.ANALYTICS_KEY %}
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id={{ settings.ANALYTICS_KEY }}"></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());
      gtag('config', '{{ settings.ANALYTICS_KEY }}');
    </script>
    {% else %}
    <!--no-analytics-->
    {% endif %}
    {% block extra_script %}
    {% endblock %}
    {% block scripts_extra %}{% endblock %}
    {% endblock %}

    {% block extra_body_base %}
    {% block extra_body %}
    {% endblock %}
    {% endblock %}
  </main>

  <footer class="footer mt-4 d-print-none">
    <div class="container py-4">
      <div class="row">
        <div class="col-md-4 pb-4">
          <strong>Everything Open 2023</strong> <br>
          March 14-16 2023 <br>
          Naarm (Melbourne), Australia <br>
          Timezone: AEDT - UTC+11 <br>
          <a href="mailto:contact@everythingopen.au" alt="Email"><i class="bi-envelope-fill"></i></a>&nbsp;&nbsp;<a
            href="https://twitter.com/_everythingopen" alt="Twitter"><i class="bi-twitter"></i></a>&nbsp;&nbsp;<a
            href="https://www.linkedin.com/showcase/everythingopen/" alt="LinkedIn"><i class="bi-linkedin"></i></a>

          <a href="mailto:{{ settings.CONFERENCE_EMAIL }}" alt="Email"><i class="far fa-envelope"></i></a>&nbsp;&nbsp;<a
            href="https://twitter.com/_everythingopen" alt="Twitter"><i class="fab fa-twitter"></i></a>&nbsp;&nbsp;<a
            href="https://www.facebook.com/EverythingOpenConference" alt="Facebook"><i class="fab fa-facebook"></i></a>&nbsp;&nbsp;<a
            href="https://www.linkedin.com/showcase/everythingopen/" alt="LinkedIn"><i class="fab fa-linkedin"></i></a>
        </div>
        <div class="col-md-4 pb-4 text-center">
          <a href="https://linux.org.au"><img src="{% static 'img/la_logo.svg' %}" alt="Linux Australia logo" class="footer-image"></a>
        </div>
        <div class="col-md-4 pb-4 text-right">
          <small>
            <a href="#">Back to top</a><br>
            &copy; 2022 Everything Open and <a href="http://linux.org.au/">Linux Australia</a><br>
            Linux is a registered trademark of Linus Torvalds <br>
            <a href="/colophon/">Colophon</a>
          </small>
        </div>
      </div>
    </div>
  </footer>

</body>
</html>
